const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const version_items = sequelize.define(
    'version_items',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

display_order: {
        type: DataTypes.INTEGER,
      
      

      },

rendered_content: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  version_items.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity




























//end loop



    db.version_items.belongsTo(db.test_versions, {
      as: 'test_version',
      foreignKey: {
        name: 'test_versionId',
      },
      constraints: false,
    });

    db.version_items.belongsTo(db.test_items, {
      as: 'test_item',
      foreignKey: {
        name: 'test_itemId',
      },
      constraints: false,
    });




    db.version_items.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.version_items.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return version_items;
};


